package swinghouseplan;

class Room {
    private int x, y, width, length;
    private String name;

    public Room(int x, int y, int width, int length, String name) {
        this.x = x;
        this.y = y;
        this.width = width;
        this.length = length;
        this.name = name;
    }

    public int getArea(){
        return width * length;
    }
    public int getX() {
        return x;
    }

    public int getY() {
        return y;
    }

    public int getWidth() {
        return width;
    }

    public int getLength() {
        return length;
    }

    public String getName() {
        return name;
    }

    public void setX(int x) {
        this.x = x;
    }

    public void setY(int y) {
        this.y = y;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public void setLength(int length) {
        this.length = length;
    }

    public void setName(String name) {
        this.name = name;
    }
    
    @Override
    public String toString(){
        return name;
    }
}
